class Manifest.ControllerModule.ActionModule.ActionList extends Manifest.ControllerModule.ActionModule.Base
  
  set_default: () ->
    super()
    @args.direction ||= -1
    @args.default_page_size ||= 25
    @args.max_page_size ||= 100
  
  init: () ->
    super()
    @order = @args.order || 'updated_at'
    @direction = @args.direction
    @default_page_size = @args.default_page_size
    @max_page_size = @args.max_page_size
  
  a_arg_names: () ->
    _.union(super(), ['order', 'direction', 'default_page_size', 'max_page_size'])
  
