class Pettanr.ComicStory extends Peta.Leaf
  
  @singular: () ->
    'ComicStory'
  
  @plural: () ->
    'ComicStories'
  
  defaults: {
    id: null,
    comic_id: null,
    story_id: null,
    t: null
  } 
  
  comic: () ->
    new Pettanr.Cache.Retriever(Pettanr.Comic, @get('comic_id'))
  
  story: () ->
    new Pettanr.Cache.Retriever(Pettanr.Story, @get('story_id'))
  
  has_story: () ->
    if @get('story_id')
      true
    else
      false
  
  disp_t: () ->
    @get('t') + 1
  
  disp_t_by_text: () ->
    I18n.t('comic_stories.show.t', {t: @disp_t()})
  
  title: () ->
    @disp_t_by_text() + ':' + @story().escape('title')
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
  
