class Pettanr.Views.GroundPicture.ElementSymbol extends Backbone.View
  tagName: 'div'
  className: 'elements-tab-face-icon'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    retriever = @element.picture()
    @listenTo(retriever, 'retrieve', @retrieve_picture)
    retriever.retrieve()
    this
  
  retrieve_picture: (@picture) ->
    img = @element.tmb_opt_img_tag(@picture)
    this.$el.html(img.render().el)
  
class Pettanr.Views.GroundPicture.ElementFace extends Backbone.View
  tagName: 'div'
  className: 'elements-tab'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    symbol = new Pettanr.Views.GroundPicture.ElementSymbol({element: @element})
    this.$el.append(symbol.render().el)
    fe = new Tag.Div({class_name: 'elements-tab-face-end'})
    this.$el.append(fe.render().el)
    this
  
