class Pettanr.Views.SpeechBalloon.ElementSymbol extends Backbone.View
  tagName: 'div'
  className: 'elements-tab-face-icon'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    retriever = @element.speech_balloon_template()
    @listenTo(retriever, 'retrieve', @retrieve_speech_balloon_template)
    retriever.retrieve()
    this
  
  retrieve_speech_balloon_template: (@speech_balloon_template) ->
    retriever = @speech_balloon_template.system_picture()
    @listenTo(retriever, 'retrieve', @retrieve_system_picture)
    retriever.retrieve()
  
  retrieve_system_picture: (@system_picture) ->
    img = @system_picture.tmb_opt_img_tag()
    this.$el.html(img.render().el)
  
class Pettanr.Views.SpeechBalloon.ElementFace extends Backbone.View
  tagName: 'div'
  className: 'elements-tab'
  
  initialize: (options) ->
    @element = options.element
  
  render: () ->
    this.$el.html('')
    symbol = new Pettanr.Views.SpeechBalloon.ElementSymbol({element: @element})
    this.$el.append(symbol.render().el)
    rb = new Tag.RowBreak()
    this.$el.append(rb.render().el)
    this
  
