class LicenseGroupsController < ApplicationController
  if Manifest.manifest.magic_numbers['run_mode'] == 0
  else
    before_filter :authenticate_reader, :only => [
      :by_resource_picture
    ]
  end
  before_filter :authenticate_admin, :only => [:new, :create, :edit, :update, :destroy]
  
  def index
    filer_list
  end
  
  def by_resource_picture
    filer_list
  end
  
  def show_html_format format
    format.html {
      @license_group = @item
    }
  end
  
  def show
    set_show
    respond_to do |format|
      show_html_format format
      show_prof_format format
      show_json_format format
    end
  end
  
  def new
    form_new
  end
  
  def edit
    form_edit
  end
  
  def create
    set_model
    @item = @my_model_class.new
    @item.supply_default 
    @my_model_class.fold_extend_settings params[@my_model_class.item_name]
    @item.attributes = params[@my_model_class.item_name]
    @item.overwrite 
    render_create
  end
  
  def update
    set_edit
    @my_model_class.fold_extend_settings params[@my_model_class.item_name]
    @item.attributes = params[@my_model_class.item_name]
    @item.overwrite 
    render_update
  end
  
  def destroy
    set_model
    @item = @my_model_class.edit(params[:id], @operators)
    render_destroy '/' + @my_model_class.path_name
  end
  
end
