class CreateSheets < ActiveRecord::Migration
  def change
    create_table :sheets do |t|
      t.string :caption, :null => false, :limit => 100
      t.integer :width, :null => false, :default => 839
      t.integer :height, :null => false, :default => 1191
      t.integer :visible, :null => false, :default => 0
      t.integer :author_id, :null => false

      t.timestamps
    end
  end
end
