class FixExtendSystem < ActiveRecord::Migration
  def up
    rename_column :speech_balloons, :classname, :speech_balloon_template_classname
    rename_column :speech_balloons, :settings, :speech_balloon_template_settings
    add_column :balloons, :speech_balloon_template_id, :integer, :null => false, :default => 0
    add_column :balloons, :speech_balloon_template_classname, :string, :null => false, :limit => 50, :default => 'noname'
    rename_column :balloons, :settings, :speech_balloon_template_settings
    add_column :speeches, :speech_balloon_template_id, :integer, :null => false, :default => 0
    add_column :speeches, :speech_balloon_template_classname, :string, :null => false, :limit => 50, :default => 'noname'
    rename_column :speeches, :settings, :speech_balloon_template_settings
    add_column :speeches, :writing_format_classname, :string, :null => false, :limit => 50, :default => 'noname'
    add_column :speeches, :writing_format_settings, :text
    add_column :licenses, :license_group_classname, :string, :null => false, :limit => 50, :default => 'noname'
    rename_column :licenses, :settings, :license_group_settings
    rename_column :licenses, :credit_pictures, :credit_picture_settings
  end

  def down
  end
end
