module Locmare
  module FilerModule
    class Header
      attr :filer
      def initialize filer
        @filer = filer
      end
      
      def model
        @filer.model
      end
      
      def icon_name
        self.model.singular
      end
      
      def icon_size
        Manifest.manifest.magic_numbers['thumbnail_width'] / 2
      end
      
      def human_name
        self.model.model_name.human
      end
      
      def template_dir
        @filer.template_dir
      end
      
      def template_file_name
        "header"
      end
      
      def template_name
        self.template_dir + self.template_file_name
      end
      
    end
  end
end
