module Manifest
  module ControllerModule
    module ActionModule
      class ActionList < Base
        attr :order, :direction, :default_page_size, :max_page_size
        
        def set_default
          super
          @args['direction'] ||= -1
          @args['default_page_size'] ||= 25
          @args['max_page_size'] ||= 100
        end
        
        def init
          super
          @order = @args['order'] || 'updated_at'
          @direction = @args['direction'].to_i
          @default_page_size = @args['default_page_size']
          @max_page_size = @args['max_page_size']
        end
        
        def a_arg_names
          super + ['order', 'direction', 'default_page_size', 'max_page_size']
        end
        
      end
      
    end
  end
end
