class Pettanr.SpeechBalloonTemplate extends Peta.Template
  
  @singular: () ->
    'SpeechBalloonTemplate'
  
  @plural: () ->
    'SpeechBalloonTemplates'
  
  defaults: {
    id: null
  } 
  
  system_picture: () ->
    new Pettanr.Cache.Retriever(Pettanr.SystemPicture, @get('system_picture_id'))
  
  symbol_option: () ->
    retriever = @system_picture()
    @listenTo(retriever, 'retrieve', @retrieve_symbol)
    retriever.retrieve()
  
  retrieve_symbol: (item) -> 
    @trigger('ready:symbol', item.tmb_opt_img_tag())
  
  parsed_settings: () ->
    JSON.parse(@get('settings'))
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
  
