class Pettanr.StorySheet extends Peta.Leaf
  
  @singular: () ->
    'StorySheet'
  
  @plural: () ->
    'StorySheets'
  
  defaults: {
    id: null,
    story_id: null,
    sheet_id: null,
    t: null
  } 
  
  story: () ->
    new Pettanr.Cache.Retriever(Pettanr.Story, @get('story_id'))
  
  sheet: () ->
    new Pettanr.Cache.Retriever(Pettanr.Sheet, @get('sheet_id'))
  
  has_sheet: () ->
    if @get('sheet_id')
      true
    else
      false
  
  initialize: (attr = {}, options = {}) ->
    super(attr, options)
  
