class FixExtendSystemData < ActiveRecord::Migration
  def up
    Balloon.find(:all).each do |balloon|
      sbt = balloon.speech_balloon.speech_balloon_template
      if balloon.speech_balloon_template_classname == 'noname'
        balloon.speech_balloon_template_id = sbt.id
        balloon.speech_balloon_template_classname = sbt.classname
        balloon.boosts 'post'
      end
      balloon.save!
    end
    Speech.find(:all).each do |speech|
      sbt = speech.speech_balloon.speech_balloon_template
      if speech.speech_balloon_template_classname == 'noname'
        speech.speech_balloon_template_id = sbt.id
        speech.speech_balloon_template_classname = sbt.classname
      end
      wf =  speech.writing_format
      if speech.writing_format_classname == 'noname'
        speech.writing_format_classname = wf.classname
      end
      speech.boosts 'post'
      speech.save!
    end
    License.find(:all).each do |license|
      lg = license.license_group
      if license.license_group_classname == 'noname'
        license.license_group_classname = lg.classname
      end
      license.boosts 'post'
      license.save!
    end
  end

  def down
  end
end
