require_dependency "editor/dock/tab"
require_dependency "editor/dock/bucket"
require_dependency "editor/dock/bay"
require_dependency "editor/dock/board"
module Editor
  module EditorModule
    class Dock < DockBase
      include DockModule
      attr_accessor :tabs
      def initialize parent
        super
      end
      
      def editor
        @parent
      end
      
      def editor_template_dir
        @parent.template_dir
      end
      
      def template_file_name
        'dock'
      end
      
      def template_name
        self.editor_template_dir + self.template_file_name
      end
      
      def template_dir
        @parent.template_dir + 'dock/'
      end
      
      def labels_template_name
        self.template_dir + 'bay_labels'
      end
      
      def bodys_template_name
        self.template_dir + 'bay_bodys'
      end
      
      def dom_id
        self.editor.dom_id + '-dock'
      end
      
      def dom_class
        self.editor.dom_class + '-dock'
      end
      
      def dom_labels_class
        self.dom_class + '-labels'
      end
      
    end
    
  end
end
