ManifestBase.require_modules "local_manifest/list_group/", 
  %w|list|

module LocalManifest
  class ListGroup < ManifestBase::Base
    include ListGroupModule
    
    attr :lists
    
    def set_default
      super
      @json['lists'] ||= {}
    end
    
    def init
      super
      @lists = ManifestBase.load_type_name_args self, @json, 'lists', ListFactory
    end
    
    def controller_name
      @name
    end
    
  end
  
end

