namespace :speech_balloons do
  desc "Import json format speech balloon data in speech balloon engine"
  task :import => :environment do
    speech_balloon_templates = Manifest.manifest.system_resources.templates['speech_balloon_template']
    speech_balloon_templates.template_items.each do |klass, name|
      puts name + "\n"
      system 'rake ' + name + ':import'
    end
  end
  
  desc "Copy migration file for speech balloon "
  task :install => :environment do
    speech_balloon_templates = Manifest.manifest.system_resources.templates['speech_balloon_template']
    speech_balloon_templates.template_items.each do |klass, name|
      puts name + "\n"
      system 'rake ' + name + ':install:migrations'
    end
    puts "run 'rake db:migrate' if you can migrate database\n"
  end
end
