class ReverseValidator < ActiveModel::EachValidator
  def validate_each(record, attribute, value)
    record.picture.boosts 'post'
    if record.picture and record.picture.license_extend.reverse < 0
      record.errors[attribute] << (options[:message] || I18n.t('activerecord.errors.messages.reverse')) if value < 0
    end
  end
end

