# -*- encoding: utf-8 -*-
FactoryGirl.define do
  factory :sheet_install_a, :class => Sheet do |i|
    i.caption 'ダウンロード方法'
    i.width 839
    i.height 1191
    i.visible 1
    trait :with_sheet_panels do
      after(:create) do |sheet, evaluator|
        create(:sheet_panel_plain, z: 1, t: 0, sheet: sheet, panel: create(:panel_install_install, author: sheet.author))
        create(:sheet_panel_plain, z: 2, t: 1, sheet: sheet, panel: create(:panel_install_install, author: sheet.author))
      end
    end
    factory :sheet_install_a_with_sheet_panels, traits: [:with_sheet_panels]
  end
  factory :sheet_install_b, :class => Sheet do |i|
    i.caption '展開してインストール'
    i.width 839
    i.height 1191
    i.visible 1
  end
  factory :sheet_setup_a, :class => Sheet do |i|
    i.caption '設定ファイルの編集'
    i.width 839
    i.height 1191
    i.visible 1
  end
  factory :sheet_setup_b, :class => Sheet do |i|
    i.caption '管理者アカウントの作成'
    i.width 839
    i.height 1191
    i.visible 1
  end
  factory :sheet, :class => Sheet do |i|
    i.caption 'test'
    i.width 839
    i.height 1191
    i.visible 1
  end
  factory :sheet006, :class => Sheet do |i|
    i.caption '社会でうまくいかず'
    i.width 839
    i.height 1191
    i.visible 1
    i.author_id 1
  end
  factory :sheet007, :class => Sheet do |i|
    i.caption '友人と起業'
    i.width 839
    i.height 1191
    i.visible 0
    i.author_id 1
  end
end
